picard.util

## Class IntervalListScatterer

- java.lang.Object
- - picard.util.IntervalListScatterer

-     public class IntervalListScatterer
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IntervalListScatterer.Mode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntervalListScatterer(IntervalListScatterer.Mode mode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<htsjdk.samtools.util.IntervalList>` | `scatter(htsjdk.samtools.util.IntervalList uniquedIntervalList, int scatterCount)`
    `List<htsjdk.samtools.util.IntervalList>` | `scatter(htsjdk.samtools.util.IntervalList sourceIntervalList, int scatterCount, boolean isUniqued)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntervalListScatterer

          public IntervalListScatterer(IntervalListScatterer.Mode mode)

  - ### Method Detail

    - #### scatter

          public List<htsjdk.samtools.util.IntervalList> scatter(htsjdk.samtools.util.IntervalList uniquedIntervalList,
                                                                 int scatterCount)

    - #### scatter

          public List<htsjdk.samtools.util.IntervalList> scatter(htsjdk.samtools.util.IntervalList sourceIntervalList,
                                                                 int scatterCount,
                                                                 boolean isUniqued)